Bug 1012445 - drop ntsysv?
drop ntsysv?
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: chkconfig (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 09:30 EDT by Bill Nottingham
Modified: 2014-03-16 23:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 09:01:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-09-26 09:30:48 EDT
Description of problem:

As it only handles SysV services, it may not be of much use in RHEL 7.

Version-Release number of selected component (if applicable):

current
Comment 2 Lukáš Nykrýn 2013-09-26 10:13:39 EDT
I've thought about this already and I was not sure that it would not be viewed as a regression for customers with their own initscripts. But it should be probably dropped.
For the record we could also rewrite ntsysv to support systemd units.
Comment 3 Lukáš Nykrýn 2013-09-30 09:01:44 EDT
I will probably drop this only in upstream and later in fedora. I am still a little bit worried that our customers have tons of their own initscripts and they will be irritated with every change in that way.
Comment 4 Bill Nottingham 2013-10-01 16:37:40 EDT
OK. I expect at least one or two customer requests to come up around having ntsysv deal with systemd services that may need WONTFIXED. (Or fixed, I guess, if we want to write a bunch of code.)

Note You need to log in before you can comment on or make changes to this bug.